#include<iostream>
using namespace std;

int main()
{
    int N;

    cin >> N;

    if(N % 2 == 0)
    {
        for(int i = 0; i < N/2; i++)
        {
            cout << "1";
        }

        cout << endl;
    }
    return 0;
}

